#!/bin/bash

echo ">>> Installing PyTorch 2.5.1 + CUDA 12.4 (torch, torchvision, torchaudio)"
pip install torch==2.5.1+cu124 torchvision==0.20.1+cu124 torchaudio==2.5.1+cu124 --index-url https://download.pytorch.org/whl/cu124

echo ">>> Installing additional dependencies from requirements.txt"
pip install -r scripts/requirements.txt

echo "Setup complete!"

